com.holonplatform.vaadin.flow.components.builders

## Enum ItemListingConfigurator.ColumnAlignment

- java.lang.Object
- - java.lang.Enum<ItemListingConfigurator.ColumnAlignment>
  - - com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator.ColumnAlignment

- All Implemented Interfaces:
    Serializable, Comparable<ItemListingConfigurator.ColumnAlignment>
  Enclosing interface:
    ItemListingConfigurator<T,P,L extends ItemListing<T,P>,C extends ItemListingConfigurator<T,P,L,C>>

      public static enum ItemListingConfigurator.ColumnAlignment
      extends Enum<ItemListingConfigurator.ColumnAlignment>

  Enumeration of column text alignments.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` Centered column text
    `LEFT` Left aligned column text
    `RIGHT` Right aligned column text

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemListingConfigurator.ColumnAlignment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ItemListingConfigurator.ColumnAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final ItemListingConfigurator.ColumnAlignment LEFT

      Left aligned column text

    - #### CENTER

          public static final ItemListingConfigurator.ColumnAlignment CENTER

      Centered column text

    - #### RIGHT

          public static final ItemListingConfigurator.ColumnAlignment RIGHT

      Right aligned column text

  - ### Method Detail

    - #### values

          public static ItemListingConfigurator.ColumnAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemListingConfigurator.ColumnAlignment c : ItemListingConfigurator.ColumnAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemListingConfigurator.ColumnAlignment valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.